<?php

namespace App\Actions\V1\InternalUsers;

use App\Repositories\V1\InternalUsers\InternalUserRepositoryInterface;

class DeleteInternalUserAction
{
    public function __construct(
        private InternalUserRepositoryInterface $repository
    ) {}

    public function execute(int $id): void
    {
        $this->repository->delete($id);
    }
}
